; AUTOLOAD.ASM
; THIS PROGRAM WILL ALLOW YOU TO CHOSE THE THE CURSOR THAT
; THAT WILL BE SELECTED UPON THE EXECUTION OF THIS PROGRAM
; Copyright 1985 Northstate System (c) Troy Soult
; This Program is for the TELEVIDEO TPC-1
; 
;* -- ** -- ** -- ** -- ** -- ** -- ** -- ** -- ** -- ** -- ** -- *
;        EQUATES
BDOS	EQU	0005H
CLS	EQU	  1AH
SCRN	EQU	  09H
WARM	EQU	0000H
ESC	EQU	  1BH
;
YES 	EQU    0FFFFH
NO	EQU	0000H
;
; CHOSE ONLY ONE SELECTION OR WILL WORK
;
BBC:	EQU	NO	;YES, FOR BLINKING BLOCK CURSOR
SBC:	EQU	NO	;YES, FOR STEADY BLOCK CURSOR
BUC:	EQU	NO	;YES, FOR BLINKING UNDERLINE CURSOR
SUC:	EQU	NO	;YES, FOR STEADY UNDERLINE CURSOR
NCS:	EQU	NO	;YES, FOR NO CURSOR SHOWN 
;
	ORG	0100H
;
	IF 	BBC
	LXI	D,BBCUR
	CALL	SCREEN
	CALL	CLEAR
	CALL	EXIT
	ENDIF
;
	IF SBC
	LXI 	D,SBCUR
	CALL 	SCREEN
	CALL	CLEAR
	CALL	EXIT
	ENDIF
;
	IF 	BUC
	LXI	D,BUCUR
	CALL	SCREEN
	CALL	CLEAR
	CALL	EXIT
	ENDIF
;
	IF SUC
	LXI	D,SUCUR
	CALL	SCREEN
	CALL	CLEAR
	CALL	EXIT
	ENDIF
;
	IF 	NCS
	LXI	D,NCSWN
	CALL	SCREEN
	CALL	CLEAR
	CALL	EXIT
	ENDIF
;
SCREEN:
	MVI	C,SCRN
	CALL	BDOS
	RET
;
CLEAR:
	MVI	E,CLS
	MVI	C,2
	CALL	BDOS
	RET
;
EXIT:
	JMP	WARM
	RET
;
BBCUR:	DB	ESC,'.','1','$'
SBCUR:	DB	ESC,'.','2','$'
BUCUR:	DB	ESC,'.','3','$'
SUCUR:	DB	ESC,'.','4','$'
NCSWN:	DB	ESC,'.','0','$'
;
	END.','1','$'
SBCUR:	DB	ESC,'.','2','$'
BUCUR:	DB	